# Class TargetMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.metrics.MultilevelMetrics
picard.analysis.directed.PanelMetricsBase
picard.analysis.directed.TargetMetricsBase
picard.analysis.directed.TargetMetrics

@DocumentedFeature(groupName="Metrics", summary="Metrics") public class TargetMetrics extends TargetMetricsBase
TargetMetrics, are metrics to measure how well we hit specific targets (or baits) when using a targeted sequencing process like hybrid selection or Targeted PCR Techniques (TSCA). TargetMetrics at the moment are the metrics that are shared by both HybridSelection and TargetedPcrMetrics.

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`FOLD_ENRICHMENT`
The fold by which the probed region has been amplified above genomic background, (ON_PROBE_BASES/(ON_PROBE_BASES + NEAR_PROBE_BASES + OFF_PROBE_BASES))/(PROBE_TERRITORY/GENOME_SIZE)
`double`
`MEAN_PROBE_COVERAGE`
The mean coverage of all probes in the experiment, ON_PROBE_BASES/PROBE_TERRITORY.
`long`
`NEAR_PROBE_BASES`
The number of PF aligned bases that mapped to within a fixed interval of a probed region, but not on a probed region.
`long`
`OFF_PROBE_BASES`
The number of PF aligned bases that mapped to neither on or near a probe.
`long`
`ON_PROBE_BASES`
The number of PF aligned probed bases that mapped to a baited region of the genome.
`double`
`ON_PROBE_VS_SELECTED`
The fraction of on+near probe bases that are on as opposed to near, ON_PROBE_BASES/(ON_PROBE_BASES + NEAR_PROBE_BASES).
`double`
`PCT_OFF_PROBE`
The fraction of aligned PF bases that mapped neither on or near a probe, OFF_PROBE_BASES/(ON_PROBE_BASES + NEAR_PROBE_BASES + OFF_PROBE_BASES).
`double`
`PCT_SELECTED_BASES`
The fraction of bases that map on or near a probe (ON_PROBE_BASES + NEAR_PROBE_BASES)/(ON_PROBE_BASES + NEAR_PROBE_BASES + OFF_PROBE_BASES).
`String`
`PROBE_SET`
The name of the PROBE_SET (BAIT_SET, AMPLICON_SET, ...) used in this metrics collection run
`long`
`PROBE_TERRITORY`
The number of unique bases covered by the intervals of all probes in the probe set

### Fields inherited from class TargetMetricsBase

`ON_TARGET_FROM_PAIR_BASES, PF_SELECTED_PAIRS, PF_SELECTED_UNIQUE_PAIRS`

### Fields inherited from class PanelMetricsBase

`AT_DROPOUT, FOLD_80_BASE_PENALTY, GC_DROPOUT, GENOME_SIZE, HET_SNP_Q, HET_SNP_SENSITIVITY, MAX_TARGET_COVERAGE, MEAN_TARGET_COVERAGE, MEDIAN_TARGET_COVERAGE, MIN_TARGET_COVERAGE, ON_TARGET_BASES, PCT_EXC_ADAPTER, PCT_EXC_BASEQ, PCT_EXC_DUPE, PCT_EXC_MAPQ, PCT_EXC_OFF_TARGET, PCT_EXC_OVERLAP, PCT_PF_READS, PCT_PF_UQ_READS, PCT_PF_UQ_READS_ALIGNED, PCT_TARGET_BASES_100000X, PCT_TARGET_BASES_10000X, PCT_TARGET_BASES_1000X, PCT_TARGET_BASES_100X, PCT_TARGET_BASES_10X, PCT_TARGET_BASES_1X, PCT_TARGET_BASES_20X, PCT_TARGET_BASES_25000X, PCT_TARGET_BASES_2500X, PCT_TARGET_BASES_250X, PCT_TARGET_BASES_2X, PCT_TARGET_BASES_30X, PCT_TARGET_BASES_40X, PCT_TARGET_BASES_50000X, PCT_TARGET_BASES_5000X, PCT_TARGET_BASES_500X, PCT_TARGET_BASES_50X, PF_BASES, PF_BASES_ALIGNED, PF_READS, PF_UNIQUE_READS, PF_UQ_BASES_ALIGNED, PF_UQ_READS_ALIGNED, TARGET_TERRITORY, TOTAL_READS, ZERO_CVG_TARGETS_PCT`

### Fields inherited from class MultilevelMetrics

`LIBRARY, READ_GROUP, SAMPLE`

## Constructor Summary

Constructors
Constructor
Description
`TargetMetrics()`

## Method Summary

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### PROBE_SET

public String PROBE_SET
The name of the PROBE_SET (BAIT_SET, AMPLICON_SET, ...) used in this metrics collection run

### PROBE_TERRITORY

public long PROBE_TERRITORY
The number of unique bases covered by the intervals of all probes in the probe set

### ON_PROBE_BASES

public long ON_PROBE_BASES
The number of PF aligned probed bases that mapped to a baited region of the genome.

### NEAR_PROBE_BASES

public long NEAR_PROBE_BASES
The number of PF aligned bases that mapped to within a fixed interval of a probed region, but not on a probed region.

### OFF_PROBE_BASES

public long OFF_PROBE_BASES
The number of PF aligned bases that mapped to neither on or near a probe.

### PCT_SELECTED_BASES

public double PCT_SELECTED_BASES
The fraction of bases that map on or near a probe (ON_PROBE_BASES + NEAR_PROBE_BASES)/(ON_PROBE_BASES + NEAR_PROBE_BASES + OFF_PROBE_BASES).

### PCT_OFF_PROBE

public double PCT_OFF_PROBE
The fraction of aligned PF bases that mapped neither on or near a probe, OFF_PROBE_BASES/(ON_PROBE_BASES + NEAR_PROBE_BASES + OFF_PROBE_BASES).

### ON_PROBE_VS_SELECTED

public double ON_PROBE_VS_SELECTED
The fraction of on+near probe bases that are on as opposed to near, ON_PROBE_BASES/(ON_PROBE_BASES + NEAR_PROBE_BASES).

### MEAN_PROBE_COVERAGE

public double MEAN_PROBE_COVERAGE
The mean coverage of all probes in the experiment, ON_PROBE_BASES/PROBE_TERRITORY.

### FOLD_ENRICHMENT

public double FOLD_ENRICHMENT
The fold by which the probed region has been amplified above genomic background, (ON_PROBE_BASES/(ON_PROBE_BASES + NEAR_PROBE_BASES + OFF_PROBE_BASES))/(PROBE_TERRITORY/GENOME_SIZE)

## Constructor Details

### TargetMetrics

public TargetMetrics()